#!/bin/sh
export PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
export SHELL=/bin/sh

. /www/pages/cgi-bin/webservice.sh

WEBSERVICE_URL="${WEBSERVICE_BASEURL}/internal/dss/v1_0/DSSApartment/ApartmentHasChanged?apartmentChangeType=GeoLocation&dssid=`mac2dsid -i eth0`"

curl -s -X POST -H "Content-length: 0" "$WEBSERVICE_URL" >> /var/log/dss11-websetup/dss11-websetup.log
RETCODE="$?"
if [[ "$RETCODE" -ne 0 ]]; then 
    echo "`date +"%Y-%m-%d %H:%M:%S"` Could not contact web service, curl returned $RETCODE" >> /var/log/dss11-websetup/dss11-websetup.log
else 
    echo >> /var/log/dss11-websetup/dss11-websetup.log
fi
